import java.util.*;

public class Node{
    private String id;
    private Vector edges;

    public Node(String id){
        this.id=id;
        edges=new Vector();
    }
    public String getId(){
        return id;
    }
    public Vector getEdges(){
        return edges;
    }
    public void addEdge(Edge e){
        if (!edges.contains(e))
            edges.add(e);
    }
    public void removeEdge(Edge e){
        edges.remove(e);
    }
    public Vector getNeighbors(){
        Vector neighbors=new Vector();
        for (int i=0; i<edges.size(); i++){
            Edge e=(Edge)edges.elementAt(i);
            neighbors.add(e.getOtherEndpoint(this));
        }
        return neighbors;
    }
}
